org.firstinspires.ftc.robotcore.external.navigation

## Interface VuforiaTrackable.Listener

- All Known Implementing Classes:
    VuforiaTrackableDefaultListener
  Enclosing interface:
    VuforiaTrackable

      public static interface VuforiaTrackable.Listener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTrackable(VuforiaTrackable trackable)` Adds a trackable on which this `VuforiaTrackable.Listener` is listening.
    `void` | `onNotTracked()` Called by the system to inform the trackable that it is no longer visible.
    `void` | `onTracked(TrackableResult trackableResult, CameraName cameraName, Camera camera, VuforiaTrackable child)` `onTracked(TrackableResult, CameraName, Camera, org.firstinspires.ftc.robotcore.external.navigation.VuforiaTrackable)` is called by the system to notify the listener that its associated trackable is currently visible.

- - ### Method Detail

    - #### onTracked

          void onTracked(TrackableResult trackableResult,
                         CameraName cameraName,
                         Camera camera,
                         VuforiaTrackable child)

      `onTracked(TrackableResult, CameraName, Camera, org.firstinspires.ftc.robotcore.external.navigation.VuforiaTrackable)` is called by the system to notify the listener that its associated trackable is currently visible.
      Parameters:
        `trackableResult` - the Vuforia trackable result object in which we were located
        `cameraName` - the name of the camera used by Vuforia to track this object
        `camera` - the `Camera` instance used in the tracking. Will be null if a built-in camera is used

    - #### onNotTracked

          void onNotTracked()

      Called by the system to inform the trackable that it is no longer visible.

    - #### addTrackable

          void addTrackable(VuforiaTrackable trackable)

      Adds a trackable on which this `VuforiaTrackable.Listener` is listening. May not be called once tracking has begun. If the `VuforiaTrackable.Listener` is already listening to this trackable, then the call has no effect.